<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%@taglib prefix="f" uri="http://java.sun.com/jsf/core"%>
<%@taglib prefix="h" uri="http://java.sun.com/jsf/html"%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<%--
    This file is an entry point for JavaServer Faces application.
--%>
<f:view>
    <html>
        <head>
            <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
            <title>JSP Page</title>
        </head>
        <body>

            <h1><h:outputText value="JavaServer Faces"/></h1>
            <h:form id="formUsuario">
                Nome: <h:inputText id="nome" size="" value="#{usuarioBean.nome}" required="true" /><br>
                Senha: <h:inputText id="senha" size="" value="#{usuarioBean.senha}" required="true" /><br>
                Idade: <h:inputText id="idade" size="3" value="#{usuarioBean.idade}" required="true"><br>
                    <f:validateLength minimum="1" maximum="2"/>
                </h:inputText>
                Data: <h:inputText id="data" value="#{usuarioBean.dataNascimento}">
                    <f:convertDateTime pattern="dd/MM/yyyy"/>
                </h:inputText>
                <h:commandButton id="btExecuta" action="#{usuarioBean.logar}" value="Executa" binding="#{usuarioBean.botao}" />

                <h:messages id="mensagens" />
            </h:form>
        </body>
    </html>
</f:view>
